package com.uas.search.console.b2b.model;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Table(name = "sale$tenderitem")
@Entity
public class B2BSaleTenderItemSimpleInfo {

	@Id
	@Column(name = "sti_id")
	private Long id;

	/**
	 * 投标单主表
	 */
	@ManyToOne(cascade = { CascadeType.REFRESH })
	@JoinColumn(name = "sti_tpid", insertable = false, updatable = false)
	private B2BPurchaseTenderProdSimpleInfo tenderProd;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public B2BPurchaseTenderProdSimpleInfo getTenderProd() {
		return tenderProd;
	}

	public void setTenderProd(B2BPurchaseTenderProdSimpleInfo tenderProd) {
		this.tenderProd = tenderProd;
	}

	@Override
	public String toString() {
		return "B2BSaleTenderItemSimpleInfo [id=" + id + ", tenderProd=" + tenderProd + "]";
	}

}
